ChangeSet 1.1760.26.7, 2004/06/24 10:22:19-07:00, zinx@epicsol.org

[PATCH] USB: hid-tmff fix

This fixes a long-standing bug in the hid-tmff driver that
causes it to not work at all.


Signed-off-by: Greg Kroah-Hartman <greg@kroah.com>


 drivers/usb/input/hid-tmff.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/drivers/usb/input/hid-tmff.c b/drivers/usb/input/hid-tmff.c
--- a/drivers/usb/input/hid-tmff.c	2004-06-29 16:26:22 -07:00
+++ b/drivers/usb/input/hid-tmff.c	2004-06-29 16:26:22 -07:00
@@ -110,7 +110,7 @@
 {
 	struct tmff_device *private;
 	struct list_head *pos;
-	struct hid_input *hidinput = list_entry(&hid->inputs, struct hid_input, list);
+	struct hid_input *hidinput = list_entry(hid->inputs.next, struct hid_input, list);
 
 	private = kmalloc(sizeof(struct tmff_device), GFP_KERNEL);
 	if (!private)
